--- fig2dev/dev/genemf.h.orig	Thu Dec 19 07:42:05 2002
+++ fig2dev/dev/genemf.h	Tue Jan  7 20:16:08 2003
@@ -30,8 +30,10 @@
 #ifndef __USE_MISC
 /* Old compatibility names for C types.  */
 typedef unsigned long int ulong;
+#ifndef __FreeBSD__
 typedef unsigned short int ushort;
 typedef unsigned int uint;
+#endif
 #endif
 
 
--- fig2dev/fig2dev.h.dist	2003-06-18 13:38:13.000000000 +0200
+++ fig2dev/fig2dev.h	2003-06-18 13:38:58.000000000 +0200
@@ -22,7 +22,6 @@
 #include <sys/file.h>
 #include <signal.h>
 #include <string.h>
-#include <varargs.h>
 #include <pwd.h>
 #include <errno.h>
 #include <time.h>
@@ -210,7 +210,7 @@
 #endif /* MAXPATHLEN */
 #endif /* PATH_MAX */
 
-#if ( !defined(__NetBSD__) && !defined(__DARWIN__))
+#if ( !defined(__NetBSD__) && !defined(__FreeBSD__) && !defined(__DARWIN__))
 extern int		sys_nerr, errno;
 #endif
 
--- fig2dev/dev/gensvg.c.dist	2003-06-18 13:53:55.000000000 +0200
+++ fig2dev/dev/gensvg.c	2003-06-18 13:54:49.000000000 +0200
@@ -692,16 +692,18 @@
     if (t->angle != 0) {
 	fprintf (tfp, "<g transform=\"translate(%d,%d) rotate(%d)\" >\n",
 		 (int) (t->base_x * mag), (int) (t->base_y * mag), degrees (t->angle));
-	fprintf (tfp, "<text x=\"0\" y=\"0\" fill=\"#%6.6x\"  font-family=\"%s\" 
-		 font-style=\"%s\" font-weight=\"%s\" font-size=\"%d\" text-anchor=\"%s\" >\n",
+	fprintf (tfp, "<text x=\"0\" y=\"0\" fill=\"#%6.6x\"  font-family=\"%s\""
+		          " font-style=\"%s\" font-weight=\"%s\" font-size=\"%d\""
+                  " text-anchor=\"%s\" >\n",
 		 rgbColorVal (t->color), family[(int) ceil ((t->font + 1) / 4)],
 		 (t->font % 2 == 0 ? "normal" : "italic"),
 		 (t->font % 4 < 2 ? "normal" : "bold"), (int) (ceil (t->size * 12 * mag)),
 		 anchor[t->type]);
     }
     else
-	fprintf (tfp, "<text x=\"%d\" y=\"%d\" fill=\"#%6.6x\"  font-family=\"%s\" 
-		 font-style=\"%s\" font-weight=\"%s\" font-size=\"%d\" text-anchor=\"%s\" >\n",
+	fprintf (tfp, "<text x=\"%d\" y=\"%d\" fill=\"#%6.6x\"  font-family=\"%s\""
+		          " font-style=\"%s\" font-weight=\"%s\" font-size=\"%d\""
+                  " text-anchor=\"%s\" >\n",
 		 (int) (t->base_x * mag), (int) (t->base_y * mag), rgbColorVal (t->color),
 		 family[(int) ceil ((t->font + 1) / 4)],
 		 (t->font % 2 == 0 ? "normal" : "italic"),
